Bug 164050 - [A11Y] Issues with Select Snapshot to Compare dialog
[A11Y] Issues with Select Snapshot to Compare dialog
Product: profiler
Classification: Unclassified
Component: Base
All Windows XP
: P4 (vote)
: 6.x
Assigned To: issues@profiler
Depends on:
  Show dependency treegraph
Reported: 2009-04-29 11:53 UTC by Ivan Sidorkin
Modified: 2009-05-22 13:31 UTC (History)
0 users

See Also:
Issue Type: DEFECT


Note You need to log in before you can comment on or make changes to this bug.
Description Ivan Sidorkin 2009-04-29 11:53:51 UTC
Results of Accessibility test, window with title "Select Snapshot to Compare"

 No Accessible description :
   Class: javax.swing.JButton {  Browse |  } 
   Class: javax.swing.JButton {  Browse |  } 
   Class: javax.swing.JTextField {  Snapshot 1: |  } 
   Class: javax.swing.JTextField {  Snapshot 2: |  } 
   Class: org.netbeans.core.windows.services.NbDialog {  Select Snapshot to Compare |  }
Comment 1 Jiri Sedlacek 2009-05-05 09:40:08 UTC
 - Fixed accessible descriptions for JButtons and JTextFields
 - IMO context is obvious from the other accessible names, see http://a11y.netbeans.org/a11yDevGuide.html

Comment 2 Quality Engineering 2009-05-07 08:07:06 UTC
Integrated into 'main-golden', will be available in build *200905070201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/393506c551ea
User: Jiri Sedlacek <jis@netbeans.org>
Log: Bugfix #164050 - Added accessible descriptions
Comment 3 Ivan Sidorkin 2009-05-07 08:54:44 UTC
verified with NetBeans IDE Dev (Build 200905070201)

By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo